depends = ('ITKPyBase', 'ITKTransform', 'ITKSpatialObjects', 'ITKRegistrationCommon', 'ITKOptimizers', 'ITKImageGradient', 'ITKImageFunction', )
templates = (
  ('NormalizedCorrelationTwoImageToOneImageMetric', 'itk::NormalizedCorrelationTwoImageToOneImageMetric', 'itkNormalizedCorrelationTwoImageToOneImageMetricISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('NormalizedCorrelationTwoImageToOneImageMetric', 'itk::NormalizedCorrelationTwoImageToOneImageMetric', 'itkNormalizedCorrelationTwoImageToOneImageMetricISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('NormalizedCorrelationTwoImageToOneImageMetric', 'itk::NormalizedCorrelationTwoImageToOneImageMetric', 'itkNormalizedCorrelationTwoImageToOneImageMetricIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('NormalizedCorrelationTwoImageToOneImageMetric', 'itk::NormalizedCorrelationTwoImageToOneImageMetric', 'itkNormalizedCorrelationTwoImageToOneImageMetricIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('NormalizedCorrelationTwoImageToOneImageMetric', 'itk::NormalizedCorrelationTwoImageToOneImageMetric', 'itkNormalizedCorrelationTwoImageToOneImageMetricIUS2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('NormalizedCorrelationTwoImageToOneImageMetric', 'itk::NormalizedCorrelationTwoImageToOneImageMetric', 'itkNormalizedCorrelationTwoImageToOneImageMetricIUS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('NormalizedCorrelationTwoImageToOneImageMetric', 'itk::NormalizedCorrelationTwoImageToOneImageMetric', 'itkNormalizedCorrelationTwoImageToOneImageMetricIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('NormalizedCorrelationTwoImageToOneImageMetric', 'itk::NormalizedCorrelationTwoImageToOneImageMetric', 'itkNormalizedCorrelationTwoImageToOneImageMetricIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('SiddonJacobsRayCastInterpolateImageFunction', 'itk::SiddonJacobsRayCastInterpolateImageFunction', 'itkSiddonJacobsRayCastInterpolateImageFunctionISS3D', True, 'itk::Image< signed short,3 >,double'),
  ('SiddonJacobsRayCastInterpolateImageFunction', 'itk::SiddonJacobsRayCastInterpolateImageFunction', 'itkSiddonJacobsRayCastInterpolateImageFunctionIUC3D', True, 'itk::Image< unsigned char,3 >,double'),
  ('SiddonJacobsRayCastInterpolateImageFunction', 'itk::SiddonJacobsRayCastInterpolateImageFunction', 'itkSiddonJacobsRayCastInterpolateImageFunctionIUS3D', True, 'itk::Image< unsigned short,3 >,double'),
  ('SiddonJacobsRayCastInterpolateImageFunction', 'itk::SiddonJacobsRayCastInterpolateImageFunction', 'itkSiddonJacobsRayCastInterpolateImageFunctionIF3D', True, 'itk::Image< float,3 >,double'),
  ('TwoImageToOneImageMetric', 'itk::TwoImageToOneImageMetric', 'itkTwoImageToOneImageMetricISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('TwoImageToOneImageMetric', 'itk::TwoImageToOneImageMetric', 'itkTwoImageToOneImageMetricISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('TwoImageToOneImageMetric', 'itk::TwoImageToOneImageMetric', 'itkTwoImageToOneImageMetricIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('TwoImageToOneImageMetric', 'itk::TwoImageToOneImageMetric', 'itkTwoImageToOneImageMetricIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('TwoImageToOneImageMetric', 'itk::TwoImageToOneImageMetric', 'itkTwoImageToOneImageMetricIUS2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('TwoImageToOneImageMetric', 'itk::TwoImageToOneImageMetric', 'itkTwoImageToOneImageMetricIUS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('TwoImageToOneImageMetric', 'itk::TwoImageToOneImageMetric', 'itkTwoImageToOneImageMetricIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('TwoImageToOneImageMetric', 'itk::TwoImageToOneImageMetric', 'itkTwoImageToOneImageMetricIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
  ('TwoProjectionImageRegistrationMethod', 'itk::TwoProjectionImageRegistrationMethod', 'itkTwoProjectionImageRegistrationMethodISS2ISS2', True, 'itk::Image< signed short,2 >, itk::Image< signed short,2 >'),
  ('TwoProjectionImageRegistrationMethod', 'itk::TwoProjectionImageRegistrationMethod', 'itkTwoProjectionImageRegistrationMethodISS3ISS3', True, 'itk::Image< signed short,3 >, itk::Image< signed short,3 >'),
  ('TwoProjectionImageRegistrationMethod', 'itk::TwoProjectionImageRegistrationMethod', 'itkTwoProjectionImageRegistrationMethodIUC2IUC2', True, 'itk::Image< unsigned char,2 >, itk::Image< unsigned char,2 >'),
  ('TwoProjectionImageRegistrationMethod', 'itk::TwoProjectionImageRegistrationMethod', 'itkTwoProjectionImageRegistrationMethodIUC3IUC3', True, 'itk::Image< unsigned char,3 >, itk::Image< unsigned char,3 >'),
  ('TwoProjectionImageRegistrationMethod', 'itk::TwoProjectionImageRegistrationMethod', 'itkTwoProjectionImageRegistrationMethodIUS2IUS2', True, 'itk::Image< unsigned short,2 >, itk::Image< unsigned short,2 >'),
  ('TwoProjectionImageRegistrationMethod', 'itk::TwoProjectionImageRegistrationMethod', 'itkTwoProjectionImageRegistrationMethodIUS3IUS3', True, 'itk::Image< unsigned short,3 >, itk::Image< unsigned short,3 >'),
  ('TwoProjectionImageRegistrationMethod', 'itk::TwoProjectionImageRegistrationMethod', 'itkTwoProjectionImageRegistrationMethodIF2IF2', True, 'itk::Image< float,2 >, itk::Image< float,2 >'),
  ('TwoProjectionImageRegistrationMethod', 'itk::TwoProjectionImageRegistrationMethod', 'itkTwoProjectionImageRegistrationMethodIF3IF3', True, 'itk::Image< float,3 >, itk::Image< float,3 >'),
)
snake_case_functions = ('two_projection_image_registration_method', )
